#
# spec file for package lvm2 (Version 2.02.02)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db device-mapper diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           lvm2
BuildRequires:  device-mapper
License:        GPL, LGPL
Group:          System/Base
Requires:       device-mapper
Provides:       lvm
Obsoletes:      lvm
%if %suse_version > 800
PreReq:         %fillup_prereq %insserv_prereq
%endif
Autoreqprov:    on
Version:        2.02.02
Release:        11.2
Summary:        LVM2 Tools
Source:         LVM2.%{version}.tar.bz2
Source1:        lvm.conf
Source2:        boot.lvm
Source3:        sysconfig.lvm
Patch:          improve_probing.diff
Patch2:         no-inc-audit.diff
Patch3:         no_buildroot_shared.diff
Patch4:         sys_mount_instead_linux_fs.diff
Patch5:         pvscan_2TB_limit.diff
Patch9:         fix_striped_old_format.diff
Patch10:        lvm-lock.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Programs and man pages for configuring and using the LVM2 Logical
Volume Manager.



%debug_package
%prep
%setup -n LVM2.%{version}
%patch
%patch2
%patch3
%patch4
%patch5
%patch9
%patch10

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=$RPM_BUILD_ROOT --mandir=$RPM_BUILD_ROOT/usr/share/man \
            --includedir=$RPM_BUILD_ROOT/usr/include \
	    --libdir=$RPM_BUILD_ROOT/%_lib
make

%install
make install
install -d -m 755 $RPM_BUILD_ROOT/etc/lvm
install -d -m 755 $RPM_BUILD_ROOT/etc/lvm/backup
install -d -m 755 $RPM_BUILD_ROOT/etc/lvm/archive
install -d -m 755 $RPM_BUILD_ROOT/etc/lvm/metadata
install -d -m 755 $RPM_BUILD_ROOT/var/lock/lvm
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/lvm
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/var/adm/fillup-templates

%clean
[ "$RPM_BUILD_ROOT" != / ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
%{fillup_and_insserv -n lvm -py boot.lvm}

%postun
%{insserv_cleanup}

%files
%doc INSTALL COPYING COPYING.LIB README WHATS_NEW doc/*
%dir /etc/lvm
%dir /etc/lvm/backup
%dir /etc/lvm/archive
%dir /etc/lvm/metadata
%dir /var/lock/lvm
%config /etc/lvm/lvm.conf
%config /etc/init.d/boot.lvm
/var/adm/fillup-templates/sysconfig.lvm
/sbin/lvchange
/sbin/lvconvert
/sbin/lvcreate
/sbin/lvdisplay
/sbin/lvextend
/sbin/lvm
/sbin/lvmchange
/sbin/lvmdiskscan
/sbin/lvmsadc
/sbin/lvmsar
/sbin/lvreduce
/sbin/lvremove
/sbin/lvrename
/sbin/lvresize
/sbin/lvs
/sbin/lvscan
/sbin/pvchange
/sbin/pvcreate
/sbin/pvdisplay
/sbin/pvmove
/sbin/pvremove
/sbin/pvresize
/sbin/pvs
/sbin/pvscan
/sbin/vgcfgbackup
/sbin/vgcfgrestore
/sbin/vgchange
/sbin/vgck
/sbin/vgconvert
/sbin/vgcreate
/sbin/vgdisplay
/sbin/vgexport
/sbin/vgextend
/sbin/vgimport
/sbin/vgmerge
/sbin/vgmknodes
/sbin/vgreduce
/sbin/vgremove
/sbin/vgrename
/sbin/vgs
/sbin/vgscan
/sbin/vgsplit
%{_mandir}/man5/lvm.conf.5.gz
%{_mandir}/man8/lvchange.8.gz
%{_mandir}/man8/lvcreate.8.gz
%{_mandir}/man8/lvdisplay.8.gz
%{_mandir}/man8/lvextend.8.gz
%{_mandir}/man8/lvm.8.gz
%{_mandir}/man8/lvmchange.8.gz
%{_mandir}/man8/lvmdiskscan.8.gz
%{_mandir}/man8/lvreduce.8.gz
%{_mandir}/man8/lvremove.8.gz
%{_mandir}/man8/lvrename.8.gz
%{_mandir}/man8/lvresize.8.gz
%{_mandir}/man8/lvs.8.gz
%{_mandir}/man8/lvscan.8.gz
%{_mandir}/man8/pvchange.8.gz
%{_mandir}/man8/pvcreate.8.gz
%{_mandir}/man8/pvdisplay.8.gz
%{_mandir}/man8/pvmove.8.gz
%{_mandir}/man8/pvremove.8.gz
%{_mandir}/man8/pvresize.8.gz
%{_mandir}/man8/pvs.8.gz
%{_mandir}/man8/pvscan.8.gz
%{_mandir}/man8/vgcfgbackup.8.gz
%{_mandir}/man8/vgcfgrestore.8.gz
%{_mandir}/man8/vgchange.8.gz
%{_mandir}/man8/vgck.8.gz
%{_mandir}/man8/vgconvert.8.gz
%{_mandir}/man8/vgcreate.8.gz
%{_mandir}/man8/vgdisplay.8.gz
%{_mandir}/man8/vgexport.8.gz
%{_mandir}/man8/vgextend.8.gz
%{_mandir}/man8/vgimport.8.gz
%{_mandir}/man8/vgmerge.8.gz
%{_mandir}/man8/vgmknodes.8.gz
%{_mandir}/man8/vgreduce.8.gz
%{_mandir}/man8/vgremove.8.gz
%{_mandir}/man8/vgrename.8.gz
%{_mandir}/man8/vgs.8.gz
%{_mandir}/man8/vgscan.8.gz
%{_mandir}/man8/vgsplit.8.gz

%changelog -n lvm2
* Wed Apr 26 2006 - hare@suse.de
- add LVM_DEVICE_TIMEOUT sysconfig variable to make sure
  udev has finished processing (#149979)
- Fix init script dependencies
* Thu Apr 06 2006 - fehr@suse.de
- add option --mknodes to vgscan call in /etc/init.d/boot.lvm to
  avoid potential inconsistencies in minor number of dm devices after
  reboot when root fs is LVM LV (#139740)
* Tue Mar 14 2006 - fehr@suse.de
- update to new version 2.02.02
  Add %%.so: %%.a make template rule.
  Switchover library building to use LIB_SUFFIX.
  Only do lockfs filesystem sync when suspending snapshots.
  Always print warning if activation is disabled.
  vgreduce removes mirror images.
  Add --mirrorsonly to vgreduce.
  vgreduce replaces active LVs with error segment before removing them.
  Set block_on_error parameter if available.
  Add target_version.
  Add details to format1 'Invalid LV in extent map' error message.
  Fix lvscan snapshot full display.
  Bring lvdisplay man page example into line.
  Add mirror dmeventd library.
  Add some activation logic to remove_mirror_images().
  lvconvert can remove specified PVs from a mirror.
  lvconvert turns an existing LV into a mirror.
  Allow signed mirrors arguments.
  Move create_mirror_log() into toollib.
  Determine parallel PVs to avoid with ALLOC_NORMAL allocation.
  Fix lv_empty.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - fehr@suse.de
- add new binary /sbin/lvconvert to file list
* Tue Dec 13 2005 - fehr@suse.de
- add patch lvm-lock.diff to fix bug #138128
* Tue Dec 06 2005 - fehr@suse.de
- update to new version 2.02.01
* Tue Nov 08 2005 - fehr@suse.de
- add fix_striped_old_format.diff to allow striped volumes with
  old metadata format (#130433)
- add fix_dm_as_pv.diff to allow usage of dm devices as PVs (#129960)
* Mon Oct 17 2005 - fehr@suse.de
- update to new version 2.01.15
* Mon Sep 26 2005 - fehr@suse.de
- fix bug in pvscan.c with PVs larger than 2TB in VGs
* Thu Aug 04 2005 - fehr@suse.de
- update to new version 2.01.14
* Mon Jul 18 2005 - fehr@suse.de
- update to new version 2.01.13
* Thu Jun 16 2005 - fehr@suse.de
- update to new version 2.01.12
* Wed Jun 15 2005 - meissner@suse.de
- add libselinux to nfb to enable selinux support.
- use RPM_OPT_FLAGS.
* Tue Jun 14 2005 - fehr@suse.de
- update to new version 2.01.11
* Wed May 04 2005 - fehr@suse.de
- update to new version 2.01.10
* Mon Apr 11 2005 - fehr@suse.de
- use -y instead of -Y in options for call to fillup_and_insserv
  (#76689)
- update to new version 2.01.09
* Wed Mar 09 2005 - fehr@suse.de
- update to new version 2.01.07
* Mon Mar 07 2005 - fehr@suse.de
- update to new version 2.01.06
* Thu Feb 10 2005 - fehr@suse.de
- update to new version 2.01.04
* Wed Feb 02 2005 - fehr@suse.de
- update to new version 2.01.03
* Mon Jan 24 2005 - fehr@suse.de
- update to new version 2.01.02
* Thu Jan 20 2005 - fehr@suse.de
- update to new version 2.01.01
* Wed Jan 19 2005 - fehr@suse.de
- update to new version 2.01.00
* Tue Jan 11 2005 - fehr@suse.de
- update to new version 2.00.33
* Wed Jan 05 2005 - arvin@suse.de
- update to new version 2.00.32
* Fri Dec 17 2004 - arvin@suse.de
- fixed -s option of vgdisplay (bug #49177)
* Mon Nov 29 2004 - fehr@suse.de
- update to new version 2.00.29
* Thu Nov 25 2004 - fehr@suse.de
- update to new version 2.00.27
* Wed Nov 24 2004 - fehr@suse.de
- update to new version 2.00.26
* Wed Sep 29 2004 - fehr@suse.de
- update to new version 2.00.25
* Wed Sep 22 2004 - fehr@suse.de
- prevent buggy macro for MAJOR in kdev_t.h creep into code via
  include of linux/fs.h
* Mon Sep 20 2004 - fehr@suse.de
- update to new version 2.00.24
* Thu Sep 16 2004 - fehr@suse.de
- update to new version 2.00.23
* Mon Sep 06 2004 - fehr@suse.de
- update to new version 2.00.22
* Mon Aug 23 2004 - fehr@suse.de
- update to new version 2.00.21
- new version obsoletes lvm2-vgscan.patch
* Wed Jul 14 2004 - fehr@suse.de
- update to new version 2.00.20
* Mon Jun 07 2004 - fehr@suse.de
- update to new version 2.00.16
- add forgotten patch no-inc-audit.diff needed for STABLE
* Mon May 24 2004 - fehr@suse.de
- update to new version 2.00.15 to fix bug #41020
* Mon May 24 2004 - hare@suse.de
- Fixed vgscan on S/390 (readdir returned DT_UNKNOWN)
* Thu May 13 2004 - fehr@suse.de
- ignore udev names in default configuration to prevent yast2
  confusion (#36869)
* Mon Apr 19 2004 - fehr@suse.de
- accept additional devices (IDE->64, iseries/vd->8, #39114)
* Thu Apr 01 2004 - fehr@suse.de
- update to new version 2.00.09 (fixes #34657 and #36877)
* Tue Mar 02 2004 - ro@suse.de
- boot.lvm: root-fs is mounted-rw by boot.rootfsck
* Thu Feb 26 2004 - fehr@suse.de
- skip cdroms and device with zero size on probing
* Wed Feb 04 2004 - fehr@suse.de
- update to new version 2.00.08
- now lvm2 obsoletes lvm
* Thu Sep 18 2003 - fehr@suse.de
- fix boot.lvm to cope with LABEL= and UUID= in /etc/fstab
  also check reiser filesystem (#31060)
* Wed Sep 17 2003 - fehr@suse.de
- update to new version 2.00.07
* Thu Aug 21 2003 - fehr@suse.de
- update to new version 2.00.06
* Mon Aug 18 2003 - garloff@suse.de
- (#29083) Add # X-UnitedLinux-Should-Start: boot.scsidev
* Tue Jul 01 2003 - fehr@suse.de
- created initial version of a SuSE package
